# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl -X PATCH "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/beneficiaries/bene_5tql9z7a3b9c1e5f2d4g6h8j/payment-destinations/dest_8kpw2x7a3b9c1e5f2d4g6h8j" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE" \
-H "Content-Type: application/json" \
-d '{
"is_default": true
}'
{
"is_default": true
}
{
"object": "payment_destination",
"id": "dest_8kpw2x7a3b9c1e5f2d4g6h8j",
"beneficiary_id": "bene_5tql9z7a3b9c1e5f2d4g6h8j",
"country": "GB",
"type": "bank_account",
"currency": "GBP",
"status": "active",
"account_number_last4": "****6819",
"iban_masked": "GB29****6819",
"is_default": true,
"created": "2026-05-01T10:05:00Z",
"updated": "2026-05-10T14:30:00Z",
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4"
}
Payment Destinations
Update Payment Destination
Update a payment destination’s default flag
PATCH
/
va
/
v1
/
accounts
/
{account_id}
/
beneficiaries
/
{beneficiary_id}
/
payment-destinations
/
{destination_id}
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl -X PATCH "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/beneficiaries/bene_5tql9z7a3b9c1e5f2d4g6h8j/payment-destinations/dest_8kpw2x7a3b9c1e5f2d4g6h8j" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE" \
-H "Content-Type: application/json" \
-d '{
"is_default": true
}'
{
"is_default": true
}
{
"object": "payment_destination",
"id": "dest_8kpw2x7a3b9c1e5f2d4g6h8j",
"beneficiary_id": "bene_5tql9z7a3b9c1e5f2d4g6h8j",
"country": "GB",
"type": "bank_account",
"currency": "GBP",
"status": "active",
"account_number_last4": "****6819",
"iban_masked": "GB29****6819",
"is_default": true,
"created": "2026-05-01T10:05:00Z",
"updated": "2026-05-10T14:30:00Z",
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4"
}
Updates a payment destination. Only the
is_default flag is client-editable — all financial fields (account numbers, IBAN, SWIFT, etc.) are immutable after creation. To change account details, create a new destination and disable the old one.
Fields other than
is_default are ignored or rejected. Financial details cannot be edited in place.Path Parameters
string
required
Id of the parent account (e.g.
acct_...).string
required
Id of the parent beneficiary (e.g.
bene_...).string
required
Destination id (e.g.
dest_…).Request Body
boolean | null
Set to
true to make this the beneficiary’s default destination.Response
Returns the updatedpayment_destination object.
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl -X PATCH "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/beneficiaries/bene_5tql9z7a3b9c1e5f2d4g6h8j/payment-destinations/dest_8kpw2x7a3b9c1e5f2d4g6h8j" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE" \
-H "Content-Type: application/json" \
-d '{
"is_default": true
}'
{
"is_default": true
}
{
"object": "payment_destination",
"id": "dest_8kpw2x7a3b9c1e5f2d4g6h8j",
"beneficiary_id": "bene_5tql9z7a3b9c1e5f2d4g6h8j",
"country": "GB",
"type": "bank_account",
"currency": "GBP",
"status": "active",
"account_number_last4": "****6819",
"iban_masked": "GB29****6819",
"is_default": true,
"created": "2026-05-01T10:05:00Z",
"updated": "2026-05-10T14:30:00Z",
"created_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4",
"updated_by": "ak_x7k2m9p4q1w8e5r3t6y0u2i4"
}